#!/bin/sh

#
# bbdef.sh
#
# BIG BROTHER DEFINITIONS AREA
#
# EXPORT THE VARABLES, CLEAN UP ENVIRONMENT POLLUTION
#

#
# NEW FOR 1.04... DISPLAY FULLY QUALIFED DOMAIN NAMES?
# i.e. aaa.bbb.com instead of just aaa
#
# FQDN="TRUE"		# YES...
FQDN=""

#
# THESE THINGS ARE NEEDED FOR HTTP TESTING
#
#LYNX="/usr/local/bin/lynx -dump"       # WHERE lynx LIVES
LYNX="$BBHOME/bin/bbnet"	        # WHERE bbnet LIVES

#
# PAGING INFORMATION
# SET THESE FOR YOUR SYSTEM, IF YOU'RE USING THIS FEATURE!
#
KERMIT="/usr/local/bin/kermit"          # WHERE kermit LIVES
TTYLINE="/dev/cuaa0"			# WHAT tty LINE KERMIT USES
PREFIX="T9"				# DIAL PREFIX, TONE + 9 HERE...
export KERMIT TTYLINE PREFIX

#
# WHO SHOULD BE PAGED, AND HOW...
# ENTER PAGER NUMBERS, e-mail ADDRESSES
# SMM NEW IN 1.05 PAGERDELAY - HOW MANY MINUTES BETWEEN PAGES
# SET IT REALLY HIGH TO ONLY BE PAGED ONCE...
# SET IT TO 0 FOR COMPATIBILITY WITH HOW IT USED TO WORK...
# PAGER="sean@iti.qc.ca"		# THE PAGERS TO CALL/MAIL
PAGER=""				# THE PAGERS TO CALL/MAIL
MAIL="/usr/bin/mail -s"			# MAIL WITH SUBJECT FOR PAGING
PAGERDELAY=15				# DELAY IN MINUTES BETWEEN PAGES
export PAGER PAGERDELAY

#
# WHERE tmp FILES LIVE - THIS IS GOOD FOR SECURITY
# THANKS TO Alan Cox (alan@cymru.net)
#
BBTMP="$BBHOME/tmp"
export BBTMP

#
# WARNING AND PANIC LEVELS FOR DIFFERENT THINGS
# SEASON TO TASTE
#
DFPAGE=Y				# PAGE ON DISK FULL (Y/N)
CPUPAGE=N				# PAGE FOR CPU Y/N
TELNETPAGE=Y				# PAGE ON TELNET FAILURE?
HTTPPAGE=Y				# PAGE ON HTTP FAILURE?
export DFPAGE CPUPAGE TELNETPAGE HTTPPAGE

DFWARN=90				# DISK PCT TO WARN (YELLOW)
DFPANIC=95				# DISK PCT TO PANIC (RED)
CPUPANIC=300				# PANIC (RED) AT LOAD AVG OF 3
CPUWARN=150				# WARN (YELLOW) AT LOAD AVG OF 1.5
export DFWARN DFPANIC CPUPANIC CPUWARN

#
# SMM - New for 1.04
# INCLUDE THE SERVERS YOU WANT TO PAGE FOR IF THEY FAIL
#
PROCS="http sendmail bbd"		# THESE PROCESSES MUST EXIST
PAGEPROC="http smtp"			# PAGE IF ONE OF THESE IS TOAST
MSGS="NOTICE WARNING"			# MESSAGES TO LOOK FOR (WARNING)
PAGEMSG="NOTICE"			# PAGE ON THIS ONE
export PROCS PAGEPROC MSGS PAGEMSG

. ${BBHOME}/etc/bbsys.sh		# INCLUDE SYSTEM DEFINITIONS
. ${BBHOME}/etc/bbinc.sh		# INCLUDE BB DEFINITIONS

export FQDN DF MSGFILE LYNX MAIL
