# From: Douwe Dijkstra (D.Dijkstra@Twinfo.nl)
SHELL = /bin/sh
MAKE = make
CC = cc
 
# SCO
CFLAGS=-O
LIBS = -lsocket 
 
all: bb bbd bbnet touchtime
 
bb: bb.o bb.h
	${CC} ${CFLAGS} -o $@ bb.o ${LIBS}
 
bbd: bbd.o bb.h
	${CC} ${CFLAGS} -o $@ bbd.o ${LIBS}

bbnet: bbnet.o bb.h
	${CC} ${CFLAGS} -o $@ bbnet.o ${LIBS}
 
touchtime: touchtime.o 
	${CC} ${CFLAGS} -o $@ touchtime.o ${LIBS}
 
install:
	rm -f *.o
	mv bb bbd bbnet touchtime ../bin
 
clean:  
	rm -f *.o bb bbd bbnet touchtime
