/*
 * touchtime.c 
 * BIG BROTHER TOUCHTIME PROGRAM
 * Sean MacGuire - The MacLawran Group Inc.
 * Version 1.06
 * Dec 30, 1997
 *
 * This program is Copyright (c) 1997 
 * The MacLawran Group Inc.
 * All Rights Reserved
 *
 * Create a file half an hour old...
 * New for 1.05 - return the time +/- n minutes.
 * Default returns time 30 minutes ago.
 *
 * Format: touchtime -15
 */

#include <stdio.h>
#include <time.h>

main(argc, argv)
int argc;
char *argv[];
{
        struct tm *tn;
        time_t ticks, tick2;
	int howlong;
        char *timebuf = (char *)malloc(32);

	if (argc == 2) {
		sscanf(argv[1], "%d", &howlong);
	}
	else if (argc == 1) {
		howlong = -30;		/* DEFAULT 30 MINUTES AGO */
	}
	else {
		fprintf(stderr, "Format: %s minutes\n", argv[0]);
		exit(1);
	}

	howlong *= 60;			/* NOW IN SECONDS */


        tn = (struct tm*)malloc(sizeof(struct tm));

        ticks = time(&ticks) + howlong;
        tn = localtime(&ticks);
        printf("%02d%02d%02d%02d\n", tn->tm_mon +1, tn->tm_mday,tn->tm_hour, tn->tm_min);
}
